# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

PACKAGE=github.com/argoproj/argo-cd/v2/common
CLI_NAME=argocd

DESCRIPTION="CLI for Declarative continuous deployment for Kubernetes"
HOMEPAGE="https://argo-cd.readthedocs.io https://github.com/argoproj/argo-cd"
SRC_URI="https://github.com/argoproj/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
         https://git.millerson.name/attachments/d072ec99-1f1d-42f6-b166-80297e755ed8 -> ${P}-vendor.tar.xz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_compile() {
    ego build -v -ldflags "-X ${PACKAGE}.version=${PV} -X ${PACKAGE}.gitCommit=release" -o ${CLI_NAME} ./cmd
}

src_install() {
    dobin ${CLI_NAME}
}
